SETMWID(3PVM)

NAME
pvm_getmwid, pvm_setmwid - Get or set wait ID of a message.
[In Version 3.4: Relaced by pvm_getminfo and pvm_setminfo]

SYNOPSIS
C	int info = pvm_getmwid( int bufid )
	int info = pvm_setmwid( int bufid, int waitid )

Fortran	Not Available

PARAMETERS

bufid
    Message buffer identifier.

waitid
    Wait identifier number.

DESCRIPTION
A wait identifier is part of a message (like the source, destination, tag and body). It is used to match a reply to the corresponding request.

The default wait ID for a message is zero (none).

pvm_getmwid returns the wait ID associated with a message buffer, or a negative error code.

pvm_setmwid assigns a new wait ID to a message buffer. It returns PvmOk unless an error occurs.

EXAMPLES
	int src, tag;

	pvm_recv(-1, -1);
	/* ... process, compose reply message */
	pvm_setmwid(pvm_getsbuf(), pvm_getmwid(pvm_getrbuf()));
	pvm_bufinfo(pvm_getrbuf(), (int *)0, &tag, &src);
	pvm_send(src, tag);

ERRORS
The following error conditions can be returned by pvm_getmwid or pvm_setmwid:

PvmBadParam
    Invalid value for bufid argument.

PvmNoSuchBuf
    Message buffer bufid doesn't exist.

SEE ALSO
pvm_bufinfo(3PVM)